import Link from "next/link";
import LocaleSwitcher from "./LocaleSwitcher";

const Header = ({ locale }: { locale: string }) => {
  return (
    <div className="sticky w-full h-20 z-10 top-0 bg-white flex justify-center items-center">
      <div className="container flex relative flex-wrap justify-center items-center p-5 mx-auto  ">
        <Link
          href={`/${locale}`}
          className="flex items-center order-first mb-4 font-medium text-gray-900 lg:order-none title-font lg:items-center lg:justify-end md:mb-0"
        >
          <svg width={62} height={32} viewBox="0 0 62 32" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M28.3023 18.6579C26.7518 20.1974 26.8138 22.2499 26.8138 24.4462C26.8138 26.6425 26.7518 28.695 28.3023 30.2342C29.3771 31.3015 30.6796 31.8763 32.395 31.8763C34.0077 31.8763 35.4132 31.5274 36.6741 30.2342C37.6319 29.2657 38.0407 28.1139 38.1379 26.3159H34.5657V26.5398C34.5657 27.094 34.4209 27.689 34.0077 28.0997C33.6769 28.4485 33.1602 28.6743 32.395 28.6743C31.7336 28.6743 31.2376 28.4075 30.9689 28.0587C30.6382 27.6276 30.4313 27.1146 30.4313 24.4462C30.4313 21.7779 30.6382 21.2852 30.9689 20.8543C31.2376 20.5052 31.7336 20.2179 32.395 20.2179C33.6355 20.2179 34.2142 20.7516 34.5037 21.86H38.1419C37.7904 19.4586 36.1781 17.0161 32.395 17.0161C30.6175 17.0161 29.3771 17.5907 28.3023 18.6579Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M32.3955 23.3379V26.3159H34.5661H38.1383C38.1545 26.0183 38.163 25.705 38.163 25.3696V23.3379H32.3955Z"
              fill="#253186"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M13.8115 17.1392V31.7533H17.429V26.316V26.314V23.3174V20.3617V20.1379V17.1411V17.1392H13.8115Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M22.1435 25.762C22.0042 25.8316 21.8613 25.8975 21.711 25.9551C21.6105 25.9935 21.5077 26.0291 21.4024 26.0619C21.21 26.1215 21.0086 26.1702 20.8001 26.2095C20.6659 26.235 20.5295 26.2572 20.3886 26.2735C20.1489 26.3016 19.8995 26.3159 19.6406 26.3159H18.6494L21.253 31.7532H25.4492L22.2841 25.6919C22.2384 25.7164 22.1903 25.7387 22.1435 25.762Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M18.6483 17.1411H17.4287V20.3617H19.4752C20.4185 20.3617 20.987 21.0112 21.041 21.7277C21.0437 21.7648 21.0462 21.8022 21.0462 21.8395C21.0462 22.599 20.4675 23.3174 19.4752 23.3174H17.4287V26.314L19.6406 26.316C19.8995 26.316 20.1489 26.3017 20.3886 26.2736C20.5295 26.2575 20.6659 26.2351 20.8 26.2096C21.0084 26.1703 21.2099 26.1216 21.4024 26.062C21.5077 26.0292 21.6105 25.9936 21.711 25.9552C21.8613 25.8976 22.0041 25.8317 22.1435 25.7621C22.1903 25.7388 22.2383 25.7165 22.2839 25.692C22.6306 25.5041 22.9412 25.2803 23.2139 25.0262C24.1401 24.1638 24.6328 22.9639 24.6611 21.7277C24.662 21.6903 24.6637 21.653 24.6637 21.6157C24.6637 20.1734 24.0125 19.1192 23.2139 18.4289C22.9412 18.175 22.6306 17.951 22.2839 17.7633C21.5595 17.3711 20.6763 17.1392 19.6406 17.1392L18.6483 17.1411Z"
              fill="#253186"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M5.60254 20.2179C6.26397 20.2179 6.78069 20.5052 7.04941 20.8543C7.38028 21.2852 7.58685 21.7779 7.58685 24.4462C7.58685 27.1146 7.38028 27.5865 7.04941 28.0177C6.78069 28.3664 6.26397 28.6743 5.60254 28.6743V31.8763C7.40085 31.8763 8.64115 31.3015 9.71618 30.2342C11.2665 28.695 11.2043 26.6425 11.2043 24.4462C11.2043 22.2499 11.2665 20.1974 9.71618 18.6579C8.64115 17.5907 7.40085 17.0161 5.60254 17.0161V20.2179Z"
              fill="#253186"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M1.48865 18.6579C-0.0616599 20.1974 0.000340067 22.2499 0.000340067 24.4462C0.000340067 26.6425 -0.0616599 28.695 1.48865 30.2342C2.56352 31.3015 3.80383 31.8763 5.60229 31.8763V28.6743C4.9407 28.6743 4.42398 28.3664 4.15526 28.0177C3.82439 27.5865 3.61783 27.1146 3.61783 24.4462C3.61783 21.7779 3.82439 21.2852 4.15526 20.8543C4.42398 20.5052 4.9407 20.2179 5.60229 20.2179V17.0161C3.80383 17.0161 2.56352 17.5907 1.48865 18.6579Z"
              fill="#D5153C"
            />
            <mask
              id="mask0_2285_420"
              style={{ maskType: "luminance" }}
              maskUnits="userSpaceOnUse"
              x={0}
              y={17}
              width={6}
              height={15}
            >
              <path
                fillRule="evenodd"
                clipRule="evenodd"
                d="M1.48865 18.6579C-0.0616599 20.1974 0.000340067 22.2499 0.000340067 24.4462C0.000340067 26.6425 -0.0616599 28.695 1.48865 30.2342C2.56352 31.3015 3.80383 31.8763 5.60229 31.8763V28.6743C4.9407 28.6743 4.42398 28.3664 4.15526 28.0177C3.82439 27.5865 3.61783 27.1146 3.61783 24.4462C3.61783 21.7779 3.82439 21.2852 4.15526 20.8543C4.42398 20.5052 4.9407 20.2179 5.60229 20.2179V17.0161C3.80383 17.0161 2.56352 17.5907 1.48865 18.6579Z"
                fill="white"
              />
            </mask>
            <g mask="url(#mask0_2285_420)" />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M57.3359 12.8833C57.3359 14.1236 58.3507 15.1506 59.6192 15.1506C60.8876 15.1506 61.9023 14.1236 61.9023 12.8833C61.9023 11.6238 60.8876 10.6162 59.6192 10.6162C58.3507 10.6162 57.3359 11.6238 57.3359 12.8833Z"
              fill="#253186"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M48.0859 5.81055V5.83904V8.947H54.2821V5.81055H48.0859Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M44.5485 5.81055L44.5484 5.83904L44.5273 14.7629V14.7666H48.0856V14.7629V5.83904V5.81055H44.5485Z"
              fill="#253186"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M48.0859 14.763H54.3989L54.495 11.5464H48.0859V14.763Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M44.5855 0.152344L44.5645 3.36911H54.4944V0.152344H44.5855Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M30.5771 14.7664H34.1354V0.152344H30.5771V14.7664Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M38.8891 0.152344L34.6504 7.45931L38.8891 14.7664H43.0004L38.5228 7.45931L43.0004 0.152344H38.8891Z"
              fill="#253186"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M25.4123 14.7663H29.1951L28.3917 12.5732H24.7246L25.4123 14.7663Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M20.2083 12.5732H16.4997L15.6963 14.7663H19.4792L20.2083 12.5732Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M17.5916 9.59424L16.5 12.5736H28.3916L27.3001 9.59424H17.5916Z"
              fill="#253186"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M20.416 0.152344L23.7787 9.59387H27.2997L23.8407 0.152344H20.416Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M14.5708 0.152344L10.9531 6.66023V14.7664H14.5708V0.152344Z"
              fill="#253186"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M11.0152 0.152344L10.953 0.265563L7.31479 6.91212L5.5791 10.0829L7.31479 13.2051L10.953 6.66023L14.5706 0.152344H11.0152Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M0.0585938 0.152344V14.7664H3.67608V6.66023L0.0585938 0.152344Z"
              fill="#D5153C"
            />
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M0.0585938 0.152344L3.67608 6.66023L5.57874 10.0829L7.31444 6.91212L3.67608 0.265563L3.61408 0.152344H0.0585938Z"
              fill="#253186"
            />
          </svg>
        </Link>
      </div>
      <LocaleSwitcher />
    </div>
  );
};

export default Header;
